apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: grafana-operator
  namespace: argocd
  labels:
    env: dev
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
  destination:
    name: in-cluster
    namespace: observability
  sources:
    - path: .
      repoURL: oci://ghcr.io/grafana/helm-charts/grafana-operator
      targetRevision: v5.18.0
      releaseName: grafana-operator
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      path: "otc/observability.think-ahead.cloud/stacks/observability/grafana-operator/manifests"
